# Home Assistant Config
My configuration for Home Assistant

## Hardware
* [Raspberry Pi 3 B+](https://amzn.to/2Hgynln) - with [Hypriot](https://blog.hypriot.com/)

For my used hardware devices see the section [Devices](#devices).

## Software
I use the following software, running in docker containers, on my Raspberry Pi:

* [Home Assistant](https://www.home-assistant.io/)
* [Caddy](https://caddyserver.com/) - as SSL proxy
* [Mosquitto](https://mosquitto.org/) - as MQTT broker
* The ["TICK-Stack"](https://www.influxdata.com/)
  * Telegraf - to grab different data @home
  * Influxdb - to persist the data
  * Chronograf - for detailed fancy dashboards and logs
  * Kapacitor - for hardware alarms and some sensor alarms

## Used External Services
* Alexa (via Alexa Home Skill and AWS Lambda function)
* Google/Youtube API
* Instagram API
* Openweathermap
* Spotify
* Telegram

## Devices
* [Amazon Echo Dot](https://amzn.to/2RvLxzE), 5x
* DIY Ambilight - based on [Hyperion](https://hyperion-project.org/)
* DIY MQTT Hygrometers - ESP32 + DHT22, 2x
* [Harmony Hub Elite](https://amzn.to/2RM29SY)
* Mi-Light light bulbs, 7x
* Mi-Light wifi bridge
* Xiaomi Mija Hygrometer
* [Xiaomi Smart Scale](https://amzn.to/2QPsv1H)
* [Yi Home Camera 1080p](https://amzn.to/2SYhoW6) - with [custom firmware and mqtt add-on](https://github.com/fbrinker/yi-hack-mqtt)
* ...

Work in progress. Not all of them are integrated yet.